com.pdfunit.validators

## Class MultiDocumentFontValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentFontValidator

-     @DoNotObfuscate
      public final class MultiDocumentFontValidator
      extends java.lang.Object

  Validator for fonts in PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016
  See Also:
    `FontNameValidator`, `AllFontsValidator`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentFontValidator(MultiDocumentValidator backReference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentFontNameValidator` | `hasFont()` This method prepares the validation of a single font in each given PDF documents.
    `MultiDocumentFontValidator` | `hasFonts()` This method verifies that each given PDF document has fonts.
    `MultiDocumentFontValidator` | `ofThisTypeOnly(FontType expectedFontType)` Validating whether the each of the given PDF document has fonts of only the font type according to the parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDocumentFontValidator

          protected MultiDocumentFontValidator(MultiDocumentValidator backReference)

  - ### Method Detail

    - #### hasFont

          public MultiDocumentFontNameValidator hasFont()

      This method prepares the validation of a single font in each given PDF documents.

    - #### hasFonts

          public MultiDocumentFontValidator hasFonts()

      This method verifies that each given PDF document has fonts.

    - #### ofThisTypeOnly

          @Guarded
          public MultiDocumentFontValidator ofThisTypeOnly(FontType expectedFontType)

      Validating whether the each of the given PDF document has fonts of only the font type according to the parameter.

Copyright (C) PDFUnit.com. See here for license.